# $Revision: 1.63 $, $Date: 2011/09/20 12:44:31 $
# TODO
# - pcscd & pcscd-lite-libs need to be exactly same version installed otherwise
#   client will flood daemon so much that daemon is not usable (max 200
#   connections reached, etc)
#
# Conditional build:
%bcond_without	udev	# use libusb instead of libudev

Summary:	PCSC Framework for Linux
Summary(pl.UTF-8):	Środowisko PCSC dla Linuksa
Name:		pcsc-lite
Version:	1.7.4
Release:	2
License:	BSD
Group:		Daemons
# Source0Download: http://alioth.debian.org/project/showfiles.php?group_id=30105
Source0:	http://alioth.debian.org/frs/download.php/3598/%{name}-%{version}.tar.bz2
# Source0-md5:	1caf0b8ca2ecbf82fe3b035b3fff22dd
Source1:	%{name}-pcscd.init
Source2:	%{name}-pcscd.sysconfig
Source3:	pcscd.upstart
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-any.patch
Patch2:		noautostart.patch
Patch3:		debuglog-pid.patch
Patch4:		configure-expand.patch
URL:		http://www.linuxnet.com/middle.html
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.8
BuildRequires:	flex
%{?with_apidocs:BuildRequires:	graphviz}
BuildRequires:	libtool >= 2:2.0
%{!?with_udev:BuildRequires:	libusb-devel >= 1.0}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_udev:BuildRequires:	udev-devel}
Requires(post,preun):	/sbin/chkconfig
Requires(pretrans):	fileutils
Requires:	rc-scripts >= 0.4.1.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		usbdropdir	/usr/%{_lib}/pcsc/drivers

%description
pcscd is the daemon program for PC/SC Lite. It is a resource manager
that coorinates communications with Smart Card readers and Smart Cards
that are connected to the system. The purpose of PCSC Lite is to
provide a Windows(R) SCard interface in a very small form factor for
communicating to smartcards and readers. PCSC Lite uses the same
winscard api as used under Windows(R).

%description -l pl.UTF-8
pcscd jest demonem dla PC/SC Lite. Jest to zarządca zasobów,
koordynujący komunikację z czytnikami kart procesorowych podłączonymi
do systemu. Celem PCSC Lite jest udostępnienie interfejsu zgodnego z
Windows(R) SCard służącego do komunikacji z czytnikami kart chipowych.
Używa tego samego API winscard, które jest używane pod Microsoft(TM)
Windows(R).

%package libs
Summary:	PC/SC Lite libraries
Summary(pl.UTF-8):	Biblioteki PC/SC Lite
Group:		Libraries

%description libs
PC/SC Lite libraries.

%description libs -l pl.UTF-8
Biblioteki PC/SC Lite.

%package devel
Summary:	PC/SC Lite development files
Summary(pl.UTF-8):	Pliki dla programistów używających PC/SC Lite
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
PC/SC Lite development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających PC/SC Lite.

%package static
Summary:	Static PC/SC Lite libraries
Summary(pl.UTF-8):	Biblioteki statyczne PC/SC Lite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PC/SC Lite libraries.

%description static -l pl.UTF-8
Statyczne biblioteki PC/SC Lite.

%package apidocs
Summary:	PC/SC Lite API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki PC/SC Lite
Group:		Documentation

%description apidocs
API and internal documentation for PC/SC Lite library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki PC/SC Lite.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# auto power down unreliable yet
CPPFLAGS="%{rpmcppflags} -DDISABLE_ON_DEMAND_POWER_ON"
%configure \
	%{!?with_udev:--disable-libudev} \
	--enable-ipcdir=/var/run/pcscd \
	--enable-static \
	--enable-usbdropdir=%{usbdropdir}

%{__make}

%if %{with apidocs}
doxygen doc/doxygen.conf
rm -f doc/api/*.{map,md5}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{usbdropdir} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,init} \
	$RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d \
	$RPM_BUILD_ROOT/var/run/pcscd \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pcscd
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pcscd
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/init/pcscd.conf

cp -p doc/example/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# upgrade from pcsc-lite < 1.2.9-0.beta7
if [ -f /etc/reader.conf -a ! -f %{_sysconfdir}/reader.conf.d/reader.conf ]; then
	install -d -m755 %{_sysconfdir}/reader.conf.d
	cp -af /etc/reader.conf %{_sysconfdir}/reader.conf.d/reader.conf
fi

%post
/sbin/chkconfig --add pcscd
%service pcscd restart "PC/SC smart card daemon"

%preun
if [ "$1" = "0" ]; then
	%service pcscd stop
	/sbin/chkconfig --del pcscd
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog* DRIVERS HELP NEWS README SECURITY TODO doc/README.DAEMON
%attr(755,root,root) %{_sbindir}/pcscd
%dir %{_libdir}/pcsc
%dir %{_libdir}/pcsc/drivers
%dir %{_sysconfdir}/reader.conf.d
%attr(754,root,root) /etc/rc.d/init.d/pcscd
%config(noreplace) %verify(not md5 mtime size) /etc/init/pcscd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/pcscd
%{_mandir}/man5/reader.conf.5*
%{_mandir}/man8/pcscd.8*
%dir /var/run/pcscd

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpcsclite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpcsclite.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpcsclite.so
%{_libdir}/libpcsclite.la
%{_includedir}/PCSC
%{_pkgconfigdir}/libpcsclite.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpcsclite.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/api/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcsc-lite.spec,v $
Revision 1.63  2011/09/20 12:44:31  jajcus
- upstart job file installation fix
- Release: 2

Revision 1.62  2011/09/07 19:20:23  qboosh
- sorted BRs

Revision 1.61  2011/08/31 19:58:48  lmasko
- Up to 1.7.4.

Revision 1.60  2011/08/28 20:18:22  glen
- fix install

Revision 1.59  2011/08/28 11:36:03  glen
- add upstart config

Revision 1.58  2011/03/18 16:51:26  qboosh
- updated to 1.7.0 (now uses udev instead of hal)
- updated noautostart patch

Revision 1.57  2011/01/31 11:28:20  glen
- rel 1

Revision 1.56  2011/01/12 09:53:59  glen
- fix missing sysconfdir expand

Revision 1.55  2011/01/12 08:11:42  qboosh
- libtool 2 is used now

Revision 1.54  2011/01/12 00:34:03  glen
- pidfile deps and add really install ipcdir

Revision 1.53  2011/01/12 00:24:06  glen
- package ipcdir

Revision 1.52  2011/01/12 00:12:07  glen
- include pid in daemon logs, also log it to debug facility, not info

Revision 1.51  2011/01/12 00:10:59  glen
- disable auto powerdown

Revision 1.50  2011/01/12 00:10:19  glen
- up to 1.6.6, added apidocs subpackage, cleaned outdated options

Revision 1.49  2011/01/10 20:59:17  glen
- disable pcscd autostart, we have it as daemon and never had it suid-installed (fc patch)

Revision 1.48  2011/01/05 21:46:49  glen
- release 2

Revision 1.47  2010/11/13 07:02:38  qboosh
- updated to 1.6.4
- removed obsolete libusb1 patch

Revision 1.46  2010/08/08 07:53:00  qboosh
- temporarily added libusb1 patch for compatibility with released versions of libusb-1

Revision 1.45  2010/08/08 07:31:48  qboosh
- updated to 1.6.2
- just /etc/reader.conf.d is used, no more autogenerated /etc/reader.conf; no default config file
- uses libusb-1 now

Revision 1.44  2010/02/26 14:50:03  sparky
- BR: texlive-latex-bibtex

Revision 1.43  2010/02/26 14:31:13  zbyniu
- up to 1.5.5

Revision 1.42  2009/11/27 21:56:42  sparky
- changed tetex to texlive BRs
- BR: texlive-xetex

Revision 1.41  2009/04/02 21:01:03  qboosh
- updated to 1.5.2
- updated any patch

Revision 1.40  2008/11/17 11:21:58  arekm
- up to 1.4.102

Revision 1.39  2008-05-31 15:08:08  qboosh
- updated to 1.4.101 (defaults to hal now)

Revision 1.38  2008-03-01 19:38:13  qboosh
- updated to 1.4.99

Revision 1.37  2007-09-02 23:33:42  qboosh
- updated to 1.4.4

Revision 1.36  2007/08/11 22:19:55  qboosh
- updated to 1.4.3

Revision 1.35  2007/06/14 19:36:36  qboosh
- updated to 1.4.2

Revision 1.34  2007/02/21 08:54:21  qboosh
- updated to 1.4.0

Revision 1.33  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.31  2007/01/22 09:13:14  qboosh
- updated to 1.3.3

Revision 1.30  2007/01/02 10:47:51  arekm
- rel 2

Revision 1.29  2006/08/16 08:54:58  qboosh
- libusb >= 0.1.7

Revision 1.28  2006/08/16 08:54:11  qboosh
- BR: pkgconfig

Revision 1.27  2006/08/16 08:50:46  qboosh
- updated to 1.3.2

Revision 1.26  2006/05/21 17:42:52  glen
- check-files cleanup

Revision 1.25  2006/04/24 09:12:21  qboosh
- updated to 1.3.1

Revision 1.24  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.23  2006/03/06 09:41:01  qboosh
- merged from DEVEL

Revision 1.22  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.21  2004/08/23 08:46:58  qboosh
- updated download URL

Revision 1.20.2.9  2006/03/06 09:39:27  qboosh
- updated to 1.3.0 release, libmusclecard separated again

Revision 1.20.2.8  2006/02/06 09:18:31  qboosh
- updated to 1.2.9-beta10

Revision 1.20.2.7  2005/11/28 09:51:21  qboosh
- updated to 1.2.9-beta9

Revision 1.20.2.6  2005/09/20 08:33:07  qboosh
- updated to 1.2.9-beta8; libmusclecard is here again (but in subpackages)

Revision 1.20.2.5  2005/03/04 11:14:49  qboosh
- updated to 1.2.9-beta7, updated any patch and .init
- libmusclecard has been moved to separate package

Revision 1.20.2.4  2004/08/24 12:54:18  qboosh
- added any patch, release .2

Revision 1.20.2.3  2004/08/23 08:46:30  qboosh
- updated download URL

Revision 1.20.2.2  2004/08/20 12:00:43  qboosh
- 1.2.9-beta6

Revision 1.20.2.1  2004/08/02 10:32:16  qboosh
- updated to 1.2.9-beta5, updated fhs patch

Revision 1.20  2004/07/30 14:49:12  qboosh
- release 2

Revision 1.19  2004/07/30 14:44:16  qboosh
- lib64-aware dropdirs

Revision 1.18  2004/06/27 19:45:00  adgor
- Obsolete patches really removed

Revision 1.17  2004/06/22 11:23:41  qboosh
- distfiles don't support https, changed Source0 to http

Revision 1.16  2004/06/22 11:14:38  qboosh
- updated to 1.2.0, updated fhs patch, removed obsolete link,amfix patches

Revision 1.15  2004/04/29 14:27:25  adgor
- Strict internal deps

Revision 1.14  2004/04/26 17:30:47  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.13  2003/05/28 13:00:17  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/15 15:10:15  qboosh
- link libpcsclite with -lpthread (link patch), added BRs

Revision 1.10  2003/03/11 10:37:41  qboosh
- added init script
- added fhs patch and /usr/lib/pcsc/{drivers,services} dirs

Revision 1.9  2003/03/05 14:30:22  qboosh
- added ifdhandler.h to -devel

Revision 1.8  2003/02/27 13:14:41  qboosh
- cleanups and fixes, removed perl and tools (will be in separate packages)

Revision 1.7  2002/12/26 13:48:53  qboosh
- pl, cleanups

Revision 1.6  2002/12/18 21:58:12  hunter
-added some utils

Revision 1.5  2002/12/03 21:34:37  ankry
- cleaning

Revision 1.4  2002/11/30 10:53:38  qboosh
- some cleanups

Revision 1.3  2002/11/21 17:45:45  hunter
-static & libs.

Revision 1.2  2002/11/21 16:50:21  hunter
-- +-devel

Revision 1.1  2002/11/21 16:32:03  hunter
-first milestep in road to passwordless workstation :)
-it's soft for some cardreaders.
